Subject: Re: bug#47266: guix pull: error (substituter)

From: Christoph Schumacher <[email-masked]>
Date: Fri, 19 Mar 2021 22:57:25 +0100

On Fri, Mar 19, 2021 at 09:12:24PM +0100, Ludovic Courtès wrote:
> Hi Christoph,
> 
> Christoph Schumacher <[email-masked]>
> skribis:
> 
> > I run guix on Debian stable, and guix asked me to report this error.
> > I already tried to run the garbage collector and re-run guix pull,
> > and that actually changed the error message to suggest --fallback.
> > But that failed, too, and the resulting output is below.
> 
> [...]
> 
> > downloading from https://ci.guix.gnu.org/nar/lzip/8p3jgqza89ai4fl74vv9hf3nq3h2i29d-module-import-compiled ...
> >  module-import-compiled                                                                                                               4.5MiB/s 00:00 | 1.9MiB transferred
> >
> > Backtrace:
> > In guix/ui.scm:
> >   2164:12 19 (run-guix-command _ . _)
> > In guix/scripts/substitute.scm:
> >     652:2 18 (guix-substitute . _)
> > In unknown file:
> >           17 (with-continuation-barrier #<procedure thunk ()>)
> > In ice-9/boot-9.scm:
> >   1736:10 16 (with-exception-handler _ _ #:unwind? _ # _)
> > In unknown file:
> >           15 (apply-smob/0 #<thunk 7fe226ea6880>)
> > In ice-9/boot-9.scm:
> >   1736:10 14 (with-exception-handler _ _ #:unwind? _ # _)
> >   1736:10 13 (with-exception-handler _ _ #:unwind? _ # _)
> >   1731:15 12 (with-exception-handler #<procedure 7fe22631dc90 at ic…> …)
> > In guix/scripts/substitute.scm:
> >    701:17 11 (_)
> >     410:7 10 (process-substitution _ "/gnu/store/clvvp2j3l0hfk6nfm9…" …)
> > In ice-9/boot-9.scm:
> >   1736:10  9 (with-exception-handler _ _ #:unwind? _ # _)
> > In guix/scripts/substitute.scm:
> >     419:9  8 (_)
> 
> [...]
> 
> > Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.
> > Backtrace:
> >            1 (primitive-load "/gnu/store/lf5bkkwfi27w9bshgks9yh2k84x…")
> > In guix/ui.scm:
> >   2164:12  0 (run-guix-command _ . _)
> >
> > guix/ui.scm:2164:12: In procedure run-guix-command:
> > Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.
> > substitution of /gnu/store/clvvp2j3l0hfk6nfm9f1v7zqp45b8q8q-module-import-compiled failed
> 
> Could you indicate the version of the daemon that you’re running?  You
> can do that presumably by running:
> 
>   guix describe -p /var/guix/profiles/per-user/root/current-guix
>   /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --version
> 
> I suspect the bug is the same as <https://issues.guix.gnu.org/47157>.
> 
> Thanks in advance!
> 
> Ludo’.

Hi Ludo'!

Thank you for your answer!

Here are the versions of guix and guix-daemon:

$ guix describe -p /var/guix/profiles/per-user/root/current-guix
Generation 136	Mar 12 2021 20:25:23	(current)
  guix 35b3ab8
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 35b3ab8e5748d9911ae7a0189065d0c25392895b

$ /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --version
guix-daemon (GNU Guix) 1.2.0-15.f8953be

Meanwhile, I also found <https://issues.guix.gnu.org/47258>.
It sounds very similar to my problem,
although there seems to be no version mentioned yet.
I started guix pull --no-substitutes, as suggested there.
So far the error has not occured again, but it's not finished yet.

Anything else I can contribute?

Thank you again!
--Christoph